diff test/define @ 121:8a04b0258775

<elliott> run mv bin test; touch bin
author HackBot
date Thu, 22 Mar 2012 19:17:38 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test/define	Thu Mar 22 19:17:38 2012 +0000
@@ -0,0 +1,13 @@
+#!/bin/bash
+if [ ! "$1" ]
+then
+    echo 'Define what?'
+    exit 1
+fi
+
+QUERY=`echo -n "$1" | od -t x1 -A n -w1000 | tr " " %`
+
+lynx --cfg=/dev/null --lss=/dev/null \
+    --dump --width=1000 'http://google.com/search?q=define:'"$QUERY" |
+    grep -A 3 'Definitions of' |
+    head -n 4 | tail -n 3
\ No newline at end of file